Imports System.Data.OleDb
Imports System.IO
Imports Microsoft.Win32
Public Class frmJawal2
    Dim WithEvents BS As New BindingSource
    Dim Key As RegistryKey
    Dim Startup As String = "Software\Microsoft\Windows\CurrentVersion\Run"
#Region "Load"
    Private Sub frmEgyCall2_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        On Error Resume Next
        cnn.ConnectionString = constring6
        ds.EnforceConstraints = False
        cnn.Open()
        Dim str As String = "SELECT * FROM TSharawy ORDER BY TSharawy1"
        adapt = New OleDbDataAdapter(str, cnn)
        ds.Clear()
        adapt.Fill(ds, "TSharawy")
        BS.DataSource = ds
        BS.DataMember = "TSharawy"
        ds.EnforceConstraints = True
        adapt.Dispose()
        cnn.Close()
        RecordCount()
    End Sub
#End Region
#Region "AddButton"
    Private Sub AddButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddButton.Click
        Dim n As Double
        Dim s As Double
        n = BS.Count
        On Error Resume Next
        BS.Position = BS.Count - 1
        s = Val(Me.TextBox1.Text)
        BS.EndEdit()
        BS.AddNew()
        If n = 0 Then
            Me.TextBox1.Text = 1
        Else
            If n >= s Then
                Me.TextBox1.Text = Val(n) + 1
            Else
                Me.TextBox1.Text = Val(s) + 1
            End If
        End If
        TextBox1.Focus()
        TextBox2.Text = ""
        TextBox3.Text = ""
    End Sub
#End Region
#Region "SaveButton"
    Private Sub SaveButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveButton.Click
        On Error Resume Next
        Dim SQL As String = "insert into TSharawy (TSharawy1,TSharawy2,TSharawy3,TSharawy4) values('" & TextBox1.Text & "','" & TextBox2.Text & "','" & TextBox3.Text & "',@TSharawy4)"
        Dim SQL1 As String = "insert into TSharawy (TSharawy1,TSharawy2,TSharawy3) values('" & TextBox1.Text & "','" & TextBox2.Text & "','" & TextBox3.Text & "')"
        Dim CMD As OleDbCommand = New OleDbCommand
        Dim fs As FileStream = New FileStream(OpenFileDialog1.FileName, FileMode.Open, FileAccess.Read)
        Dim r As BinaryReader = New BinaryReader(fs)
        Dim FileByteArray(fs.Length - 1) As Byte
        r.Read(FileByteArray, 0, CInt(fs.Length))
        fs.Close()
        If Me.PictureBox.Image Is Nothing = True Then
            With CMD
                .CommandType = CommandType.Text
                .Connection = cnn
                .CommandText = SQL1
            End With
        Else
            With CMD
                .CommandType = CommandType.Text
                .Connection = cnn
                .Parameters.Add("@TSharawy4", OleDbType.LongVarBinary).Value = FileByteArray
                .CommandText = SQL
            End With
        End If
        If cnn.State = ConnectionState.Open Then cnn.Close()
        cnn.Open()
        CMD.ExecuteNonQuery()
        cnn.Close()
        RecordCount()
        frmEgyCall2_Load(sender, e)
        LASTBUTTON_Click(sender, e)
    End Sub
#End Region
#Region "EditButton"
    Private Sub EditButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditButton.Click
        On Error Resume Next
        Static n As Integer
        n = Me.BS.Position
        Dim Str As String = "update TSharawy set TSharawy1='" & Me.TextBox1.Text & "',TSharawy2='" & Me.TextBox2.Text & "',TSharawy3='" & Me.TextBox3.Text & "'" & "where TSharawy1=" & Me.TextBox1.Text
        cmd.Connection = cnn
        cmd.CommandText = Str
        If cnn.State = ConnectionState.Open Then cnn.Close()
        cnn.Open()
        cmd.ExecuteNonQuery()
        cnn.Close()
        RecordCount()
        frmEgyCall2_Load(sender, e)
        Me.BS.Position = n
        RecordCount()
    End Sub
#End Region
#Region "RecordCount"
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RecordLabel.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("TSharawy").Rows.Count - 1 Then
            Forward = True
        End If
        FirstButton.Enabled = Back
        PreviousButton.Enabled = Back
        NextButton.Enabled = Forward
        LastButton.Enabled = Forward
        DISPLAYRECORD()
    End Sub
#End Region
#Region "DISPLAYRECORD"
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TextBox1.Text = ds.Tables("TSharawy").Rows(BS.Position)("TSharawy1").ToString
            .TextBox2.Text = ds.Tables("TSharawy").Rows(BS.Position)("TSharawy2").ToString
            .TextBox3.Text = ds.Tables("TSharawy").Rows(BS.Position)("TSharawy3").ToString
            .PictureBox.DataBindings.Add(New Binding("Image", BS, "TSharawy4", True))
        End With
    End Sub
#End Region
#Region "FirstButton"
    Private Sub FirstButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FirstButton.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
#End Region
#Region "PreviousButton"
    Private Sub PreviousButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PreviousButton.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
#End Region
#Region "NextButton"
    Private Sub NextButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NextButton.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
#End Region
#Region "LastButton"
    Private Sub LastButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LastButton.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
#End Region
#Region "ButtonCancel1"
    Private Sub ButtonCancel1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonCancel1.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
#End Region
#Region "DeleteButton"
    Private Sub DeleteButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteButton.Click
        On Error Resume Next
        If MessageBox.Show("    ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading) = Windows.Forms.DialogResult.Yes Then
            cmd.Connection = cnn
            cmd.CommandText = "delete from TSharawy where TSharawy1=" & TextBox1.Text
            cnn.Open()
            cmd.ExecuteNonQuery()
            Me.PictureBox.Image = Nothing
            RecordCount()
            cnn.Close()
        End If
        frmEgyCall2_Load(sender, e)
    End Sub
#End Region
#Region "Text2_KeyUp"
    Private Sub Text2_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TextBox3.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
#End Region
#Region "PrintButton"
    Private Sub PrintButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PrintButton.Click
        On Error Resume Next
        Dim rpt As New rptEgyJawal
        Dim ds As New EgyGroupVipDS
        Dim cmd As New OleDbCommand
        Dim adp As New OleDbDataAdapter
        Dim frm As New frmPRINT
        cmd.Connection = cnn
        cmd.CommandText = "select * from TSharawy "
        adp.SelectCommand = cmd
        adp.Fill(ds, "TSharawy")
        rpt.SetDataSource(ds)
        frm.CrystalReportViewer1.ReportSource = rpt
        frm.Show()
        adp.Dispose()
    End Sub
#End Region
#Region "PhotoSelectButton"
    Private Sub PhotoSelectButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PhotoSelectButton.Click
        On Error Resume Next
        OpenFileDialog1.Filter = "JPEG Files (*.jpg)|*.jpg|Image Files (*.bmp) | *.bmp|AllFiles (*.*)|*.*"
        With Me.OpenFileDialog1
            .FilterIndex = 1
            OpenFileDialog1.CheckFileExists = True
            OpenFileDialog1.CheckPathExists = True
            OpenFileDialog1.ValidateNames = True
            OpenFileDialog1.DereferenceLinks = True
            OpenFileDialog1.RestoreDirectory = True
            .Title = "  "
            .ShowDialog()
            If Len(.FileName) > 0 Then
                PictureBox.Image = Image.FromFile(OpenFileDialog1.FileName)
            End If
        End With
    End Sub
#End Region
#Region "PhotoEditButton"
    Private Sub PhotoEditButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PhotoEditButton.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        Dim SQL As String = " Update TSharawy SET  TSharawy4 = @TSharawy4 WHERE TSharawy1 =" & Me.TextBox1.Text
        Dim CMD As OleDbCommand = New OleDbCommand

        Dim fs As FileStream = New FileStream(OpenFileDialog1.FileName, FileMode.Open, FileAccess.Read)
        Dim r As BinaryReader = New BinaryReader(fs)
        Dim FileByteArray(fs.Length - 1) As Byte
        r.Read(FileByteArray, 0, CInt(fs.Length))
        fs.Close()
        With CMD
            .CommandType = CommandType.Text
            .Connection = cnn
            .Parameters.Add("@TSharawy4", OleDbType.LongVarBinary).Value = FileByteArray
            .CommandText = SQL
        End With
        If cnn.State = ConnectionState.Open Then cnn.Close()
        cnn.Open()
        CMD.ExecuteNonQuery()
        cnn.Close()
        frmEgyCall2_Load(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
#End Region
End Class
